Dropping site_stats.ss_total_views on wmf databases
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/167655/ drops the site_stats.ss_total_views column which should also be dropped in production.

ALTER to run: ALTER TABLE /*_*/site_stats DROP COLUMN ss_total_views;

Progress:

s1

s2

s3

s4

s5

s6

s7

s8

wikitech

  • eqiad
  • codfw
There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2018-11-21T07:32:36Z] <marostegui> Deploy schema change on s4 eqiad hosts - T86339

Mentioned in SAL (#wikimedia-operations) [2018-11-21T07:33:07Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1084 - T86339 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-11-21T07:36:20Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1084 - T86339 (duration: 00m 46s)

Change 475053 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/475053

Change 475053 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/475053

Mentioned in SAL (#wikimedia-operations) [2018-11-21T07:42:14Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1091 - T86339 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-11-21T07:46:36Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1091 - T86339 (duration: 00m 45s)

Marostegui updated the task description. (Show Details)Wed, Nov 21, 7:47 AM

Mentioned in SAL (#wikimedia-operations) [2018-11-21T07:50:51Z] <marostegui> Deploy schema change on s8 codfw master (db2045) with replication - T86339

Marostegui updated the task description. (Show Details)EditedWed, Nov 21, 7:51 AM

s8 eqiad progress:

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1116
  • db1109
  • db1104
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071
Marostegui updated the task description. (Show Details)Wed, Nov 21, 7:52 AM

Change 475061 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/475061

Change 475061 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/475061

Mentioned in SAL (#wikimedia-operations) [2018-11-21T08:28:08Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1109 - T86339 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-11-21T08:30:18Z] <marostegui> Deploy schema changes on s8 eqiad hosts - T86339

Mentioned in SAL (#wikimedia-operations) [2018-11-21T08:33:22Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1109 - T86339 (duration: 00m 46s)

Change 475063 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/475063

Change 475063 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/475063

Mentioned in SAL (#wikimedia-operations) [2018-11-21T08:40:45Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1104 - T86339 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2018-11-21T08:43:59Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1104 - T86339 (duration: 00m 45s)

Marostegui updated the task description. (Show Details)Wed, Nov 21, 8:44 AM

Mentioned in SAL (#wikimedia-operations) [2018-11-21T08:48:25Z] <marostegui> Deploy schema change on s7 codfw master - T86339

Marostegui updated the task description. (Show Details)Wed, Nov 21, 8:49 AM
Marostegui added a comment.EditedWed, Nov 21, 8:53 AM

s7 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1116
  • db1101
  • db1098
  • db1094
  • db1090
  • db1086
  • db1079
  • db1062
Marostegui updated the task description. (Show Details)Wed, Nov 21, 8:53 AM

Change 475279 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/475279

Change 475279 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/475279

Mentioned in SAL (#wikimedia-operations) [2018-11-22T06:48:11Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1079 - T86339 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T06:48:15Z] <marostegui> Deploy schema change on db1079 (sanitarium master) with replication - T86339

Mentioned in SAL (#wikimedia-operations) [2018-11-22T06:51:41Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1079 - T86339 (duration: 00m 46s)

Change 475282 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/475282

Change 475282 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/475282

Mentioned in SAL (#wikimedia-operations) [2018-11-22T06:55:47Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1086 - T86339 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T06:55:50Z] <marostegui> Deploy schema change on db1086 - T86339

Mentioned in SAL (#wikimedia-operations) [2018-11-22T06:58:27Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1086 - T86339 (duration: 00m 46s)

Change 475290 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/475290

Change 475290 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/475290

Mentioned in SAL (#wikimedia-operations) [2018-11-22T08:16:36Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1094 - T86339 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T08:17:08Z] <marostegui> Deploy schema change on db1094 - T86339

Mentioned in SAL (#wikimedia-operations) [2018-11-22T08:19:37Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1094 - T86339 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T08:19:48Z] <marostegui> Deploy schema change on db1062 (s7 master) - T86339

Marostegui updated the task description. (Show Details)Thu, Nov 22, 8:20 AM

Mentioned in SAL (#wikimedia-operations) [2018-11-22T08:21:36Z] <marostegui> Deploy schema change on s1 codfw master (db2048) with replication - T86339

Marostegui added a comment.EditedThu, Nov 22, 8:24 AM

s1 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • dbstore1001
  • db1124
  • db1119
  • db1114
  • db1106
  • db1105
  • db1099
  • db1089
  • db1083
  • db1080
  • db1067
Marostegui updated the task description. (Show Details)Thu, Nov 22, 8:24 AM
greg removed a subscriber: greg.Thu, Nov 22, 8:35 AM

Change 475317 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/475317

Change 475317 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/475317

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:17:19Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1119 - T86339 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:21:08Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1119 - T86339 (duration: 00m 46s)

Change 475320 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/475320

Change 475320 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/475320

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:26:09Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1114 - T86339 (duration: 00m 43s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:30:35Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1114 - T86339 (duration: 00m 45s)

Change 475323 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/475323

Change 475323 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/475323

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:36:11Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1089 - T86339 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:38:50Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1089 - T86339 (duration: 00m 45s)

Change 475325 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/475325

Change 475325 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/475325

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:43:51Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1083 - T86339 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:45:43Z] <marostegui> Deploy schema change on s1 eqiad hosts T86339

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:46:17Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1083 - T86339 (duration: 00m 46s)

Change 475328 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/475328

Change 475328 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/475328

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:50:21Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1080 - T86339 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:52:53Z] <marostegui@deploy1001> sync-file aborted: Depool db1080 - T86339 (duration: 00m 00s)

Mentioned in SAL (#wikimedia-operations) [2018-11-22T13:53:40Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1080 - T86339 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2018-11-23T06:13:49Z] <marostegui> Deploy schema change on db1067 (s1) master - T86339

Marostegui updated the task description. (Show Details)Fri, Nov 23, 6:14 AM

Mentioned in SAL (#wikimedia-operations) [2018-11-23T06:15:40Z] <marostegui> Deploy schema change on s3 codfw master (db2043) with replication - T86339

Change 475435 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/475435

Marostegui updated the task description. (Show Details)Fri, Nov 23, 6:27 AM

Change 475435 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/475435

Mentioned in SAL (#wikimedia-operations) [2018-11-23T06:29:17Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1123 - T86339 (duration: 00m 48s)

Mentioned in SAL (#wikimedia-operations) [2018-11-23T06:31:32Z] <marostegui> Deploy schema change dbstore1002:s3 - T86339

Marostegui added a comment.EditedFri, Nov 23, 6:32 AM

s3 eqiad progress:

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1123
  • db1095
  • db1078
  • db1077
  • db1075

Mentioned in SAL (#wikimedia-operations) [2018-11-23T06:32:40Z] <marostegui> Deploy schema change db1123 - T86339

Marostegui updated the task description. (Show Details)Fri, Nov 23, 6:33 AM
This comment was removed by Marostegui.

Mentioned in SAL (#wikimedia-operations) [2018-11-23T06:59:46Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1123 - T86339 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2018-11-23T07:00:31Z] <marostegui> Deploy schema change db1095 - T86339

Change 475438 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/475438

Change 475438 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/475438

Mentioned in SAL (#wikimedia-operations) [2018-11-23T07:14:20Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1078 - T86339 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2018-11-23T07:14:23Z] <marostegui> Deploy schema change db1078 - T86339

Mentioned in SAL (#wikimedia-operations) [2018-11-23T08:10:31Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1078 - T86339 (duration: 00m 46s)

Change 475693 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/475693

Change 475693 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/475693

Mentioned in SAL (#wikimedia-operations) [2018-11-26T06:21:46Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1077 - T86339 (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2018-11-26T06:21:58Z] <marostegui> Deploy schema change on db1077 (s3 sanitarium master) with replication - T86339

Mentioned in SAL (#wikimedia-operations) [2018-11-26T06:28:46Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1077 - T86339 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-11-26T06:36:02Z] <marostegui> Deploy schema change on s3 master (db1075) - T86339

Marostegui updated the task description. (Show Details)Mon, Nov 26, 6:37 AM
Marostegui closed this task as Resolved.

This is all done

Change 475975 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] filtered_tables.txt: Remove ss_total_views column

https://gerrit.wikimedia.org/r/475975

Change 475975 merged by Marostegui:
[operations/puppet@production] filtered_tables.txt: Remove ss_total_views column

https://gerrit.wikimedia.org/r/475975